/// \file init.cpp
/// \copyright 2022 Sascha Nitsch
/// Licencend under MIT license
/// \biref main entry point of the application

// own includes
#include "main.h"

/// \brief main entry point
/// \param argc number of argument
/// \param argv array of arguments
int main(int argc, const char* argv[]) {
  Main main;
  if (main.init(argc, argv) && main.run()) {
    return 0;
  }
  return 1;
}
